using System.Collections.Generic;

namespace Sockeye.Biz
{
    public static class CustomFieldType
    {

        private static List<int> _validCustomFieldTypes = new List<int>();
        static CustomFieldType()
        {
            //v7 custom field types:
            // - Currency
            // - DateAndTime
            // - TimeOnly
            // - DateOnly
            // - Number
            // - Text
            // - Bool 
            _validCustomFieldTypes.Add((int)UiFieldDataType.Currency);
            _validCustomFieldTypes.Add((int)UiFieldDataType.Date);
            _validCustomFieldTypes.Add((int)UiFieldDataType.Time);
            _validCustomFieldTypes.Add((int)UiFieldDataType.DateTime);
            _validCustomFieldTypes.Add((int)UiFieldDataType.Text);
            _validCustomFieldTypes.Add((int)UiFieldDataType.Decimal);
            _validCustomFieldTypes.Add((int)UiFieldDataType.Integer);
            _validCustomFieldTypes.Add((int)UiFieldDataType.Bool);
            
        }


        public static List<int> ValidCustomFieldTypes
        {
            get
            {
                return _validCustomFieldTypes;
            }
        }

    }
}
